Skip to content

List labels for an app​

GET
/v1/apps/{app_id}/labels

Lists the App's labels ordered by name.

Authorizations​

SessionAuth

Admin session cookie set by POST /v1/auth/login. Dashboard-only management.

Type
API Key (cookie: notti_session)
or
RESTKeyAuth

App REST key (rk_...). Server-to-server calls.

Type
HTTP (bearer)

Parameters​

Path Parameters

app_id*

App ID

Type
string
Required

Responses​

OK

application/json
JSON
[
  
{
  
  
"app_id": "string",
  
  
"created_at": "string",
  
  
"id": "string",
  
  
"name": "string"
  
}
]

Playground​

Authorization
Variables
Key
Value

Samples​


Create a label​

POST
/v1/apps/{app_id}/labels

Find-or-create a label for the App: returns 201 with a new label, or 200 with the existing label when one with the same name (case-insensitively) already exists.

Authorizations​

SessionAuth

Admin session cookie set by POST /v1/auth/login. Dashboard-only management.

Type
API Key (cookie: notti_session)
or
RESTKeyAuth

App REST key (rk_...). Server-to-server calls.

Type
HTTP (bearer)

Parameters​

Path Parameters

app_id*

App ID

Type
string
Required

Request Body​

application/json
JSON
{
  
"name": "string"
}

Responses​

Returned when the label already existed

application/json
JSON
{
  
"app_id": "string",
  
"created_at": "string",
  
"id": "string",
  
"name": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


Powered by VitePress OpenAPI